/*********************************************************************/
/* POOLPASS                                                          */
/*                                                                   */
/* Uses ANSI I/O to get Pool Pass info & build a random-access file  */
/*********************************************************************/

call AnsiColor 'LIGHTCYAN','BLUE'    /* set screen colors            */

recsize = 30                         /* length of each output record */
out_hnd = open('poolfile','ab')      /* append to binary output file */ 

do while first_name <> 'exit' 

   /* Clear the screen and write the screen title                    */

   call AnsiCls
   call AnsiGoto 30,1
   call charout ,'Pool Pass System'

   /* Draw the form to gather first and last names, and phone number */

   call AnsiGoto 1,10   ;   call charout ,"First Name: __________"
   call AnsiGoto 1,11   ;   call charout ,"Last Name : __________"
   call AnsiGoto 1,13   ;   call charout ,"Phone Number: ___-____"

   /* Read the information the user entered on the form              */
                    
   call AnsiGoto 13,10     ;   parse pull first_name   . 
   
   if first_name <> 'exit' then do     /* quit if user enters 'exit' */

      call AnsiGoto 13,11  ;   parse pull last_name    .
      call AnsiGoto 15,13  ;   parse pull phone_number .

      /* Build an output record, write user info to POOLPASS file    */
 
      outstr = first_name || ',' || last_name || ',' || phone_number
      outstr = left(outstr,recsize,' ')   /* ensure 30-byte record   */
      call write out_hnd,outstr           /* write the output record */
   end
end

call close out_hnd                        /* close pool pass file    */
call AnsiColor 'WHITE','BLACK'            /* set screen colors back  */
call AnsiCls                              /* clear screen            */        
exit 0